Skip to main content
`Ctrl`+`K`

# SNESLineSearchMonitor

runs the user provided monitor routines, if they exist

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchMonitor(SNESLineSearch ls)

Collective

## Input Parameter

- ls - the linesearch object

## Note

This routine is called by the `SNESLineSearch` implementations. It does not typically need to be called by the user.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESGetLineSearch()`, `SNESLineSearchMonitorSet()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages